program Schconcat;
{$nomain}
{$NOWALKBACK}
{
  File: [22,310]SCHCONCAT.PAS
  Author: Monte Canfield 8-Aug-84
  
  Last Edit: 23-JUN-1988 22:23:26 

  History: 
	 23-JUN-1988 21:58:23  - JMB PA3UTL upgrade.
}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }

%include 'PAS$EXT:slen.ext';

{$list}

procedure Schconcat (var s: packed array [lo..hi: integer] of char;
                         c: char ); external;
{*USER*
  this procedure concatenates a single character, c, onto the target 
  string s.  
}

{----------------------------------------------------------------------}
procedure Schconcat;

var
  len:integer;

begin
  len := slen(s);
  if len < hi then
  begin 
    if lo = 0 
      then begin
        s[0] := succ(s[0]);
        s[ord(s[0])]:=c;
        end
      else begin
        s[len+1] := c;
        end
  end
end;
{----------------------------------------------------------------------}
